Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class PermissionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.PermissionException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  LoginException, MailboxAccessDeniedException

    public class PermissionException

extends CollaborationException

Exceptions of this class represent permissions problems.

See Also
  Serialized Form

Constructor Summary
`PermissionException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey)` Constructs a PermissionException.
`PermissionException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param)` Constructs a PermissionException.
`PermissionException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey)` Constructs a PermissionException.
`PermissionException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param)` Constructs a PermissionException.

Method Summary

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PermissionException

    public PermissionException(com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey baseKey)

  Constructs a PermissionException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key

### PermissionException

    public PermissionException(com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey baseKey,
                               Object param)

  Constructs a PermissionException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter

### PermissionException

    public PermissionException(Throwable t,
                               com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey baseKey)

  Constructs a PermissionException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key

### PermissionException

    public PermissionException(Throwable t,
                               com.compoze.collab.spi.Context ctx,
                               com.compoze.collab.spi.ExceptionResourceKey baseKey,
                               Object param)

  Constructs a PermissionException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved